Summary:	gnofract4d - GNOME-based program to draw fractals
Summary(pl.UTF-8):	gnofract4d - program do rysowania fraktali pod GNOME
Name:		gnofract4d
Version:	4.3
Release:	3
License:	BSD
Group:		X11/Applications/Graphics
Source0:	https://github.com/fract4d/gnofract4d/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	d815353c682eab9787e2fdad26f625ba
URL:		https://fract4d.github.io/gnofract4d/
Patch0:		%{name}-desktop.patch
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	python3-devel
BuildRequires:	python3-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
Requires:	python3-pygobject3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gnofract 4D is a GNOME-based program to draw fractals. What sets it
apart from other fractal programs (and makes it "4D") is the way that
it treats the Mandelbrot and Julia sets as different views of the same
four-dimensional fractal object.

%description -l pl.UTF-8
Gnofract 4D jest program do rysowania fraktali pod GNOME. To, co
odróżnia ten go od innych programów do fraktali (i czyni go "4D"), to
sposób, w jaki traktuje zbiory Mandelbrota i Julia - jako różne widoki
tego samego, czterowymiarowego obiektu fraktalnego.

%prep
%setup -q
%patch -P 0 -p1

%build
sed -i -e "s#/usr/lib/%{name}-%{version}#%{_libdir}/%{name}-%{version}#g" \
	setup.cfg gnofract4d

%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_mime_database

%postun
%update_desktop_database_post
%update_mime_database

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%attr(755,root,root) %{_bindir}/*
%{py3_sitedir}/*fract*
%{_datadir}/%{name}
%{_datadir}/mime/packages/*
%{_pixmapsdir}/gnofract4d.png
%{_desktopdir}/gnofract4d.desktop
%{_iconsdir}/hicolor/*x*/apps/gnofract4d.png
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnofract4d.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 24453bd
- Release 3 (by relup.sh)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 02d7e71
- use patch -P

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 867b9f0
- python 3.13 rebuild

* Thu Sep 21 2023 Jan Rękorajski <baggins@pld-linux.org> 5b57757
- up to 4.3

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 62425b8
- release 8 (by relup.sh)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 06f0e54
- release 7

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 814b6f2
- release 6

* Tue Sep 21 2010 Elan Ruusamäe <glen@pld-linux.org> 1a5e2ac
- release 5

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c2d5161
- release 4

* Tue Feb 16 2010 ankry <ankry@pld-linux.org> 6a10064
- fixed build with new libpng, rel. 3

* Tue Feb 16 2010 ankry <ankry@pld-linux.org> 5022163
- fixed build with new libpng

* Tue Feb 09 2010 sparky <sparky@pld-linux.org> 9f2d102
- BR: python-modules, rpm-pythonprov
- dropped BR: gtk+2-devel

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c43a646
- release 2

* Sun Jul 12 2009 Tomasz Pala <gotar@pld-linux.org> 0a5e642
- upgraded to 3.11

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 352c0c3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c218682
- converted to UTF-8

* Sun Apr 30 2006 Adam Gołębiowski <adamg@pld-linux.org> 7938db3
- include gnofract4d-logo.png

* Sun Apr 30 2006 Adam Gołębiowski <adamg@pld-linux.org> 28932c0
- updated to 2.13

* Mon Mar 28 2005 Adam Gołębiowski <adamg@pld-linux.org> df55028
- updated to 2.7

* Fri Dec 24 2004 Adam Gołębiowski <adamg@pld-linux.org> b194ed6
- updated to 2.5

